From 988aa60a16c59f6e99eba8b07ec0c5bb1a2e6155 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 28 2024 21:34:32 +0000
Subject: [PATCH 104/220] Update cosmic-launcher.spec


---

diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index b190860..8185ffa 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -64,18 +64,16 @@ Requires:       pop-launcher
 %autosetup -n %{crate}-%{ver} -p1 -a1
 %cargo_prep -N
 cat .vendor/config.toml >> .cargo/config
-cat .cargo/config
-echo "[build]
-rustflags = [\"--cfg\", \"tokio_unstable\"]
-rustdocflags = [\"--cfg\", \"tokio_unstable\"]" >> .cargo/config
 
 %build
+export RUSTFLAGS := env_var_or_default('RUSTFLAGS', '') + ' --cfg tokio_unstable '
 %cargo_build
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
 
 %install
+export RUSTFLAGS := env_var_or_default('RUSTFLAGS', '') + ' --cfg tokio_unstable '
 just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %if %{with check}

